Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.timer.impl
Class QuartzSchedulerService.InmemoryTimerJobInstanceDelegate

    java.lang.Object
      org.jbpm.process.core.timer.impl.QuartzSchedulerService.InmemoryTimerJobInstanceDelegate

All Implemented Interfaces:
  Serializable, Callable<Void>, org.drools.core.time.impl.TimerJobInstance

Enclosing class:
  QuartzSchedulerService

    public static class QuartzSchedulerService.InmemoryTimerJobInstanceDelegate

extends Object
implements org.drools.core.time.impl.TimerJobInstance, Serializable, Callable<Void>

See Also:
  Serialized Form

Constructor Summary
`QuartzSchedulerService.InmemoryTimerJobInstanceDelegate(String jobName, String timerServiceId)`

Method Summary
`Void` | `call()`
`protected void` | `findDelegate()`
`org.drools.core.time.Job` | `getJob()`
`org.drools.core.time.JobContext` | `getJobContext()`
`org.drools.core.time.JobHandle` | `getJobHandle()`
`org.drools.core.time.Trigger` | `getTrigger()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuartzSchedulerService.InmemoryTimerJobInstanceDelegate

    public QuartzSchedulerService.InmemoryTimerJobInstanceDelegate(String jobName,
                                                                   String timerServiceId)

Method Detail

### getJobHandle

    public org.drools.core.time.JobHandle getJobHandle()

  Specified by:
    `getJobHandle` in interface `org.drools.core.time.impl.TimerJobInstance`

### getJob

    public org.drools.core.time.Job getJob()

  Specified by:
    `getJob` in interface `org.drools.core.time.impl.TimerJobInstance`

### getTrigger

    public org.drools.core.time.Trigger getTrigger()

  Specified by:
    `getTrigger` in interface `org.drools.core.time.impl.TimerJobInstance`

### getJobContext

    public org.drools.core.time.JobContext getJobContext()

  Specified by:
    `getJobContext` in interface `org.drools.core.time.impl.TimerJobInstance`

### findDelegate

    protected void findDelegate()

### call

    public Void call()
              throws Exception

  Specified by:
    `call` in interface `Callable<Void>`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.